import request from '@/utils/request'

// 查询设备型号-源数据列表
export function listModel(query) {
  return request({
    url: '/system/model/list',
    method: 'get',
    params: query
  })
}

// 查询设备型号-源数据详细
export function getModel(id) {
  return request({
    url: '/system/model/' + id,
    method: 'get'
  })
}

// 新增设备型号-源数据
export function addModel(data) {
  return request({
    url: '/system/model',
    method: 'post',
    data: data
  })
}

// 修改设备型号-源数据
export function updateModel(data) {
  return request({
    url: '/system/model',
    method: 'put',
    data: data
  })
}

// 删除设备型号-源数据
export function delModel(id) {
  return request({
    url: '/system/model/' + id,
    method: 'delete'
  })
}
