import request from '@/utils/request'

// 查询客户-部门-岗位关联列表
export function listRel(query) {
  return request({
    url: '/customer/dept/post/rel/list',
    method: 'get',
    params: query
  })
}

// 查询客户-部门-岗位关联详细
export function getRel(id) {
  return request({
    url: '/customer/dept/post/rel/' + id,
    method: 'get'
  })
}

// 新增客户-部门-岗位关联
export function addRel(data) {
  return request({
    url: '/customer/dept/post/rel',
    method: 'post',
    data: data
  })
}

// 修改客户-部门-岗位关联
export function updateRel(data) {
  return request({
    url: '/customer/dept/post/rel',
    method: 'put',
    data: data
  })
}

// 删除客户-部门-岗位关联
export function delRel(id) {
  return request({
    url: '/customer/dept/post/rel/' + id,
    method: 'delete'
  })
}
